<?php
$relatedPostId = isset($attributes['relatedPostId']) ? $attributes['relatedPostId'] : null;
if (!$relatedPostId) return;

$relatedPost = get_post($relatedPostId);

?>

<section id="questions-container-<?php echo $relatedPostId  ?>" class="questions-container-block">
	<h2 class="questions-container-block__title"><?php echo $relatedPost->post_title ?></h2>
	<?php echo do_blocks($relatedPost->post_content) ?>
</section>